Only in source: README.kenji
diff -r -c ../ingres.ptf/source/conf/Makefile source/conf/Makefile
*** ../ingres.ptf/source/conf/Makefile	Mon Nov 16 14:38:10 1992
--- source/conf/Makefile	Fri Sep 25 17:54:12 1992
***************
*** 68,74 ****
  #
  
  # the ingres subtree
! INGRES=	../..
  # the location of the system header files
  H=	../h
  # the residence of the system (internal) libraries
--- 68,74 ----
  #
  
  # the ingres subtree
! INGRES=	/usr/ingres
  # the location of the system header files
  H=	../h
  # the residence of the system (internal) libraries
***************
*** 77,87 ****
  # this entry must be reflected in the process table
  BIN=	$(INGRES)/bin
  # the location of user binaries
! SYSBIN=	/usr/local
  # the location of user libraries (libq.a)
! SYSLIB=	/usr/local/lib
  # the cputype, VAX or SUN
! CPUTYPE=SUN
  
  ALL=	monitor univingres sysmonitor sysmodfunc printadmin sysdump
  
--- 77,87 ----
  # this entry must be reflected in the process table
  BIN=	$(INGRES)/bin
  # the location of user binaries
! SYSBIN=	/usr/local/bin
  # the location of user libraries (libq.a)
! SYSLIB=	/usr/lib
  # the cputype, VAX or SUN
! CPUTYPE=VAX
  
  ALL=	monitor univingres sysmonitor sysmodfunc printadmin sysdump
  
***************
*** 109,120 ****
  DECOMP=	$(LIB)/decomp
  OVQP=	$(LIB)/ovqp
  DBULIB=	$(LIB)/dbulib
  
  #
  #  Assorted commands & other garbage
  #
! CFLAGS=	-I$H -O
  LDFLAGS=
  CHMOD=	chmod
  BINMODE=751
  SUMODE=	4751
--- 109,122 ----
  DECOMP=	$(LIB)/decomp
  OVQP=	$(LIB)/ovqp
  DBULIB=	$(LIB)/dbulib
+ EXTRALIB=
  
  #
  #  Assorted commands & other garbage
  #
! CFLAGS=	-O -I$H -Dbsd386
  LDFLAGS=
+ 
  CHMOD=	chmod
  BINMODE=751
  SUMODE=	4751
***************
*** 141,147 ****
  #  Sysmodfunc
  
  sysmodfunc: version.o sysmodfunc.o $(DBULIB) $(CTLMOD) $(ALLLIB)
! 	$(CC) $(LDFLAGS) version.o $@.o $(DBULIB) $(OTHERS) $(ALLLIB) -o $@
  	$(CHMOD) $(SUMODE) $@
  	ls -l $@; size $@
  
--- 143,149 ----
  #  Sysmodfunc
  
  sysmodfunc: version.o sysmodfunc.o $(DBULIB) $(CTLMOD) $(ALLLIB)
! 	$(CC) $(LDFLAGS) version.o $@.o $(DBULIB) $(OTHERS) $(ALLLIB) $(EXTRALIB) ../dbu/create.o ../gutil/oatoi.o -o $@
  	$(CHMOD) $(SUMODE) $@
  	ls -l $@; size $@
  
***************
*** 148,154 ****
  #  Sysdump
  
  sysdump: version.o sysdump.o $(CTLMOD) $(ALLLIB)
! 	$(CC) $(LDFLAGS) version.o $@.o $(OTHERS) $(ALLLIB) -o $@
  	$(CHMOD) $(SUMODE) $@
  	ls -l $@; size $@
  
--- 150,156 ----
  #  Sysdump
  
  sysdump: version.o sysdump.o $(CTLMOD) $(ALLLIB)
! 	$(CC) $(LDFLAGS) version.o $@.o $(OTHERS) $(ALLLIB) $(EXTRALIB) -o $@
  	$(CHMOD) $(SUMODE) $@
  	ls -l $@; size $@
  
***************
*** 155,161 ****
  #  Monitor
  
  monitor: version.o monitor.o $(MONITOR) $(CTLMOD) $(IUTIL) $(GUTIL)
! 	$(CC) $(LDFLAGS) version.o $@.o $(OTHERS) $(MONITOR) $(CTLMOD) $(IUTIL) $(GUTIL) -o $@
  	$(CHMOD) $(BINMODE) $@
  	ls -l $@; size $@
  
--- 157,163 ----
  #  Monitor
  
  monitor: version.o monitor.o $(MONITOR) $(CTLMOD) $(IUTIL) $(GUTIL)
! 	$(CC) $(LDFLAGS) version.o $@.o $(OTHERS) $(MONITOR) $(CTLMOD) $(IUTIL) $(GUTIL) $(EXTRALIB) -o $@
  	$(CHMOD) $(BINMODE) $@
  	ls -l $@; size $@
  
***************
*** 162,168 ****
  #  SysMonitor 
  
  sysmonitor: version.o sysmonitor.o $(SYSMONITOR) $(DBULIB) $(IUTIL) $(GUTIL)
! 	$(CC) $(LDFLAGS) version.o $@.o $(OTHERS) $(SYSMONITOR) $(CTLMOD) $(IUTIL) $(GUTIL) -o $@
  	$(CHMOD) $(BINMODE) $@
  	ls -l $@; size $@
  
--- 164,170 ----
  #  SysMonitor 
  
  sysmonitor: version.o sysmonitor.o $(SYSMONITOR) $(DBULIB) $(IUTIL) $(GUTIL)
! 	$(CC) $(LDFLAGS) version.o $@.o $(OTHERS) $(SYSMONITOR) $(CTLMOD) $(IUTIL) $(GUTIL) $(EXTRALIB) -o $@
  	$(CHMOD) $(BINMODE) $@
  	ls -l $@; size $@
  
***************
*** 171,177 ****
  ALLLIBS=$(PARSER) $(QRYMOD) $(DECOMP) $(OVQP) $(DBULIB) $(ALLLIB)
  
  univingres: version.o univingres.o $(ALLLIBS)
! 	$(CC) $(LDFLAGS) version.o $@.o $(OTHERS) $(ALLLIBS) $(MATH) -o $@
  	$(CHMOD) $(SUMODE) $@
  	ls -l $@; size $@
  
--- 173,179 ----
  ALLLIBS=$(PARSER) $(QRYMOD) $(DECOMP) $(OVQP) $(DBULIB) $(ALLLIB)
  
  univingres: version.o univingres.o $(ALLLIBS)
! 	$(CC) $(LDFLAGS) version.o $@.o $(OTHERS) $(ALLLIBS) $(MATH) $(EXTRALIB) -o $@
  	$(CHMOD) $(SUMODE) $@
  	ls -l $@; size $@
  
diff -r -c ../ingres.ptf/source/conf/monitor.c source/conf/monitor.c
*** ../ingres.ptf/source/conf/monitor.c	Mon Nov 16 14:38:10 1992
--- source/conf/monitor.c	Tue Sep 15 18:22:39 1992
***************
*** 1,3 ****
--- 1,4 ----
+ # include       <ingres.h>
  # include	<func.h>
  # include	<sccs.h>
  
***************
*** 16,18 ****
--- 17,22 ----
  };
  
  int	NumFunc = sizeof FuncVect / sizeof FuncVect[0];
+ 
+ DESC	Btreesec;
+ int	Btree_fd;
diff -r -c ../ingres.ptf/source/ctlmod/Makefile source/ctlmod/Makefile
*** ../ingres.ptf/source/ctlmod/Makefile	Mon Nov 16 14:38:12 1992
--- source/ctlmod/Makefile	Thu Oct  8 13:57:12 1992
***************
*** 4,10 ****
  #	@(#)Makefile	8.4	4/22/86
  #
  
! INGRES=	../..
  H=	../h
  LIB=	$(INGRES)/lib
  
--- 4,10 ----
  #	@(#)Makefile	8.4	4/22/86
  #
  
! INGRES=	/usr/ingres
  H=	../h
  LIB=	$(INGRES)/lib
  
***************
*** 89,95 ****
  
  tags: sources
  	-fgrep ../ tags > othertags
! 	ctags  $(SRCS) $(HDRS)
  	sort -o tags tags othertags
  	-rm -f othertags
  
--- 89,95 ----
  
  tags: sources
  	-fgrep ../ tags > othertags
! 	ctags  $(SRCS1) $(SRCS2) $(HDRS)
  	sort -o tags tags othertags
  	-rm -f othertags
  
diff -r -c ../ingres.ptf/source/ctlmod/call.c source/ctlmod/call.c
*** ../ingres.ptf/source/ctlmod/call.c	Mon Nov 16 14:38:12 1992
--- source/ctlmod/call.c	Thu Oct  1 14:14:46 1992
***************
*** 8,13 ****
--- 8,18 ----
  
  SCCSID(@(#)call.c	8.1	12/31/84)
  
+ int   call();
+ int   calln();
+ int   call_setup();
+ extern  int   resetp();
+ 
  /*
  **  CALL -- Call a state with return.
  **
***************
*** 53,58 ****
--- 58,64 ----
  **		5
  */
  
+ int
  call(entpt, errfn)
  int	entpt;
  int	(*errfn)();
***************
*** 74,79 ****
--- 80,86 ----
  **		(see call)
  */
  
+ int
  calln(entpt, errfn)
  int	entpt;
  int	(*errfn)();
***************
*** 85,91 ****
  	struct monitor		*savemon;
  	struct monitor		mon;
  	extern struct monitor	*markperf();
! # endif MONITOR
  
  # ifdef xCTR1
  	if (tTf(5, 0))
--- 92,98 ----
  	struct monitor		*savemon;
  	struct monitor		mon;
  	extern struct monitor	*markperf();
! # endif xMONITOR
  
  # ifdef xCTR1
  	if (tTf(5, 0))
***************
*** 184,189 ****
--- 191,197 ----
  **		none.
  */
  
+ int
  call_setup(ppb, state, errfn)
  register pb_t	*ppb;
  int		state;
diff -r -c ../ingres.ptf/source/ctlmod/call_fn.c source/ctlmod/call_fn.c
*** ../ingres.ptf/source/ctlmod/call_fn.c	Mon Nov 16 14:38:12 1992
--- source/ctlmod/call_fn.c	Wed Sep 16 15:01:21 1992
***************
*** 4,9 ****
--- 4,11 ----
  
  SCCSID(@(#)call_fn.c	8.1	12/31/84)
  
+ int   call_fn();
+ 
  /*
  **  CALL_FN -- call a local function
  **
***************
*** 31,36 ****
--- 33,39 ----
  struct monitor	MonBuf[CM_MAXST];
  # endif xMONITOR
  
+ int
  call_fn(fno, pc, pv)
  int	fno;
  int	pc;
diff -r -c ../ingres.ptf/source/ctlmod/cm_cleanup.c source/ctlmod/cm_cleanup.c
*** ../ingres.ptf/source/ctlmod/cm_cleanup.c	Mon Nov 16 14:38:12 1992
--- source/ctlmod/cm_cleanup.c	Mon Jun  8 17:45:51 1992
***************
*** 32,38 ****
  	register struct fn_def	*f;
  	extern char		*Proc_name;
  	extern jmp_buf		CmReset;
! 	extern			rubcatch();
  	register ctx_t		*ctx;
  
  # ifdef xCTR2
--- 32,38 ----
  	register struct fn_def	*f;
  	extern char		*Proc_name;
  	extern jmp_buf		CmReset;
! 	extern	void		rubcatch();
  	register ctx_t		*ctx;
  
  # ifdef xCTR2
diff -r -c ../ingres.ptf/source/ctlmod/main.c source/ctlmod/main.c
*** ../ingres.ptf/source/ctlmod/main.c	Mon Nov 16 14:38:14 1992
--- source/ctlmod/main.c	Mon Oct 19 18:25:23 1992
***************
*** 5,10 ****
--- 5,11 ----
  # include	<resp.h>
  # include	<ingres.h>
  # include	<aux.h>
+ # include       <access.h>
  # include	<lock.h>
  # include	<sccs.h>
  
***************
*** 43,48 ****
--- 44,50 ----
  **
  **	Trace Flags:
  **		1
+ **
  */
  
  struct resp	Resp;		/* State response structure */
***************
*** 58,69 ****
  char		*Pathname;	/* the pathname of the root of INGRES */
  int		Equel;		/* set if running an Equel program */
  int		RubLevel;	/* rubout level, -1 if ignored */
! struct out_arg	Out_arg;	/* output arguments */
  jmp_buf		CmReset;	/* restart addr on interrupt */
  # ifdef xMONITOR
  struct monitor	CmMonBuf;	/* monitor buffer for CM overhead */
  # endif xMONITOR
  
  main(argc, argv)
  int	argc;
  char	**argv;
--- 60,77 ----
  char		*Pathname;	/* the pathname of the root of INGRES */
  int		Equel;		/* set if running an Equel program */
  int		RubLevel;	/* rubout level, -1 if ignored */
! extern struct out_arg	Out_arg;	/* output arguments */
  jmp_buf		CmReset;	/* restart addr on interrupt */
  # ifdef xMONITOR
  struct monitor	CmMonBuf;	/* monitor buffer for CM overhead */
  # endif xMONITOR
  
+ extern	void	rubcatch();
+ extern	int	error();
+ extern pb_t	*MonPpb;
+ extern long	CmOfiles;	/* defined in markopen.c */
+ 
+ 
  main(argc, argv)
  int	argc;
  char	**argv;
***************
*** 74,84 ****
  	register char	*p;
  	pb_t		pb;
  	static int	reenter;
- 	extern		rubcatch();
- 	extern		error();
  	bool		nobuffer;
- 	extern pb_t	*MonPpb;
- 	extern long	CmOfiles;	/* defined in markopen.c */
  	int		lock_type = -1;	/* type of data base lock to request */
  	int		wait_action = -1;	/* type of wait action on the data abse */
  	char		*args; 	/* used to process args of sysmod */
--- 82,88 ----
***************
*** 150,156 ****
  				lock_type = atoi(&p[2]);
  				if ( wait_action < 0 )
  					break;
! 				if ( setdbl(wait_action,lock_type) < 0 )
  				{
  					syserr("Data base temporarily unavailable");
  				}
--- 154,160 ----
  				lock_type = atoi(&p[2]);
  				if ( wait_action < 0 )
  					break;
!                                 if ( setdbl(wait_action,lock_type) < 0 )
  				{
  					syserr("Data base temporarily unavailable");
  				}
***************
*** 304,311 ****
--- 308,320 ----
  **
  **	Side Effects:
  **		Flushes pipes, etc.
+ **
+ **      This module should be renamed to compile the stuffs in the ../support
+ **          directory, because the latter modules also define rubproc() in
+ **          a different manner.
  */
  
+ void
  rubproc()
  {
  	register int	i;
diff -r -c ../ingres.ptf/source/ctlmod/pb_read.c source/ctlmod/pb_read.c
*** ../ingres.ptf/source/ctlmod/pb_read.c	Mon Nov 16 14:38:14 1992
--- source/ctlmod/pb_read.c	Tue Jun  9 13:09:45 1992
***************
*** 36,42 ****
  {
  	register int	type;
  	register int	from;
! 	extern int	(*ExitFn)();
  
  	/*
  	**  Top Loop.
--- 36,42 ----
  {
  	register int	type;
  	register int	from;
! 	extern void	(*ExitFn)();
  
  	/*
  	**  Top Loop.
diff -r -c ../ingres.ptf/source/ctlmod/proc_err.c source/ctlmod/proc_err.c
*** ../ingres.ptf/source/ctlmod/proc_err.c	Mon Nov 16 14:38:15 1992
--- source/ctlmod/proc_err.c	Wed Sep 16 19:48:18 1992
***************
*** 4,9 ****
--- 4,20 ----
  
  SCCSID(@(#)proc_err.c	8.1	12/31/84)
  
+ int  proc_err();
+ extern int pb_prime();
+ extern int pb_flush();
+ extern int pb_dump();
+ extern int send_off();
+ extern int resetp();
+ 
+ extern char		*Proc_name;
+ extern pb_t		*MonPpb;
+ 
+ 
  /*
  **  PROC_ERR -- Process error message
  **
***************
*** 38,44 ****
  **		6.8 - 6.15
  */
  
! 
  proc_err(ppb, pc, pv)
  pb_t	*ppb;
  int	pc;
--- 49,55 ----
  **		6.8 - 6.15
  */
  
! int
  proc_err(ppb, pc, pv)
  pb_t	*ppb;
  int	pc;
***************
*** 45,54 ****
  PARM	pv[];
  {
  	register struct fn_def	*f;
- 	extern char		*Proc_name;
  	register int		i;
  	register ctx_t		*ctx;
- 	extern pb_t		*MonPpb;
  
  # ifdef xCTR2
  	if (tTf(6, 8))
--- 56,63 ----
diff -r -c ../ingres.ptf/source/ctlmod/readinput.c source/ctlmod/readinput.c
*** ../ingres.ptf/source/ctlmod/readinput.c	Mon Nov 16 14:38:15 1992
--- source/ctlmod/readinput.c	Wed Sep 16 20:08:50 1992
***************
*** 8,13 ****
--- 8,24 ----
  
  SCCSID(@(#)readinput.c	8.1	12/31/84)
  
+ int   readinput();
+ int   read_arg();
+ extern  int   markbuf();
+ extern  int   pb_prime();
+ extern  int   pb_get();
+ extern  int   pb_dump();
+ extern  int   proc_err();
+ extern char	*need();
+ extern QTREE	*readqry();
+ 
+ 
  /*
  **  READINPUT -- read the input pipe and determine next function
  **
***************
*** 34,39 ****
--- 45,52 ----
  **		10.0 - 10.5
  */
  
+ 
+ int
  readinput(ppb)
  register pb_t	*ppb;
  {
***************
*** 139,145 ****
  **	Trace Flags:
  **		10.6 - 10.7
  */
! 
  read_arg(ppb, pparm)
  register pb_t	*ppb;
  register PARM	*pparm;
--- 152,158 ----
  **	Trace Flags:
  **		10.6 - 10.7
  */
! int
  read_arg(ppb, pparm)
  register pb_t	*ppb;
  register PARM	*pparm;
***************
*** 149,156 ****
  	register int	i;
  	register char	*p;
  	QTREE		*q;
- 	extern char	*need();
- 	extern QTREE	*readqry();
  
  	/* get the parameter type */
  	i = pb_get(ppb, &ptype, 1);
--- 162,167 ----
diff -r -c ../ingres.ptf/source/ctlmod/readqry.c source/ctlmod/readqry.c
*** ../ingres.ptf/source/ctlmod/readqry.c	Mon Nov 16 14:38:13 1992
--- source/ctlmod/readqry.c	Wed Sep 16 20:06:25 1992
***************
*** 9,14 ****
--- 9,28 ----
  SCCSID(@(#)readqry.c	8.3	12/8/85)
  
  
+ QTREE   *readqry();
+ bool	leaf();
+ 
+ extern QTREE	*readtree();
+ extern QTREE	*trbuild();
+ extern QTREE	*readsym();
+ extern char	*need();
+ extern char	*xalloc();
+ extern int      clrrange();
+ extern int      declare();
+ extern int      markbuf();
+ extern int      freebuf();
+ extern int      nodepr();
+ 
  /*
  ** READQRY
  **
***************
*** 31,41 ****
  	register QTREE	*q;
  	register QTREE	*rtval;
  	register DESC	*d;
- 	extern QTREE	*readtree();
- 	extern char	*xalloc();
- 	extern QTREE	*trbuild();
  	int		mark;
- 	extern QTREE	*readsym();
  	int		i;
  	int		j;
  
--- 45,51 ----
***************
*** 110,116 ****
  	register int	len;
  	register int	t;
  	register QTREE	*q;
- 	extern char	*need();
  	int		rlen;
  
  	q = (QTREE *) need(Qbuf, QT_HDR_SIZ);
--- 120,125 ----
***************
*** 178,184 ****
  {
  	register QTREE	*q;
  	register QTREE	*rtval;
- 	extern char	*need();
  
  	rtval = tresym;
  
--- 187,192 ----
***************
*** 224,230 ****
  	register char	*p;
  	register SYMBOL	*s;
  	QTREE		*treestack[STACKSIZ];
- 	extern bool	leaf();
  
  
  	stackptr = treestack;
--- 232,237 ----
diff -r -c ../ingres.ptf/source/ctlmod/resetp.c source/ctlmod/resetp.c
*** ../ingres.ptf/source/ctlmod/resetp.c	Mon Nov 16 14:38:13 1992
--- source/ctlmod/resetp.c	Wed Sep 16 19:16:45 1992
***************
*** 5,10 ****
--- 5,13 ----
  
  SCCSID(@(#)resetp.c	8.2	12/8/85)
  
+ int   resetp();
+ extern char	*Proc_name;
+ 
  /*
  **  RESETP -- reset parameters from call.
  **
***************
*** 26,35 ****
  **	Trace Flags:
  **		4.4 - 4.7
  */
! 
  resetp()
  {
- 	extern char	*Proc_name;
  
  # ifdef xCTR1
  	if (tTf(4, 4))
--- 29,37 ----
  **	Trace Flags:
  **		4.4 - 4.7
  */
! int
  resetp()
  {
  
  # ifdef xCTR1
  	if (tTf(4, 4))
diff -r -c ../ingres.ptf/source/ctlmod/send_off.c source/ctlmod/send_off.c
*** ../ingres.ptf/source/ctlmod/send_off.c	Mon Nov 16 14:38:15 1992
--- source/ctlmod/send_off.c	Thu Sep 17 14:39:05 1992
***************
*** 4,13 ****
--- 4,25 ----
  # include	<symbol.h>
  # include	<tree.h>
  # include	<resp.h>
+ # include	<ingres.h>
+ # include	<aux.h>
+ # include	<access.h>
  # include	<sccs.h>
  
  SCCSID(@(#)send_off.c	8.1	12/31/84)
  
+ int  send_off();
+ int  send_arg();
+ extern	int pb_put();
+ extern	int closecatalog();
+ extern  int pb_dump();
+ extern  int freebuf();
+ extern  int pb_tput();
+ extern  int writeqry();
+ 
  /*
  **  SEND_OFF -- send a call off to another process
  **
***************
*** 36,41 ****
--- 48,54 ----
  **		11.0 - 11.7
  */
  
+ int
  send_off(ppb, pc, pv)
  register pb_t	*ppb;
  int		pc;
***************
*** 104,115 ****
  **		do_seq
  */
  
  send_arg(pparm, ppb)
  register PARM	*pparm;
  register pb_t	*ppb;
  {
  	register char	*p;
- 	extern		pb_put();
  
  	switch (pparm->pv_type)
  	{
--- 117,128 ----
  **		do_seq
  */
  
+ int
  send_arg(pparm, ppb)
  register PARM	*pparm;
  register pb_t	*ppb;
  {
  	register char	*p;
  
  	switch (pparm->pv_type)
  	{
diff -r -c ../ingres.ptf/source/ctlmod/sysdump.c source/ctlmod/sysdump.c
*** ../ingres.ptf/source/ctlmod/sysdump.c	Mon Nov 16 14:38:16 1992
--- source/ctlmod/sysdump.c	Tue Sep 15 11:14:15 1992
***************
*** 11,18 ****
  */
  
  extern int	sysdump();
! extern int	null_fn();
! extern int	dump_cm();
  
  short	tTsysdump[40];
  
--- 11,18 ----
  */
  
  extern int	sysdump();
! extern void	null_fn();
! extern void	dump_cm();
  
  short	tTsysdump[40];
  
***************
*** 81,86 ****
--- 81,87 ----
  */
  
  /*ARGSUSED*/
+ void
  dump_cm(argc, argv)
  int	argc;
  char	**argv;
***************
*** 87,93 ****
  {
  	register int		i;
  	register state_t	*s;
! 	register proc_t		*pr;
  	static int		reenter;
  
  	if (!tTf(30, 0) || reenter++ > 0)
--- 88,94 ----
  {
  	register int		i;
  	register state_t	*s;
!         register proc_t	        *pr;
  	static int		reenter;
  
  	if (!tTf(30, 0) || reenter++ > 0)
diff -r -c ../ingres.ptf/source/ctlmod/treepr.c source/ctlmod/treepr.c
*** ../ingres.ptf/source/ctlmod/treepr.c	Mon Nov 16 14:38:16 1992
--- source/ctlmod/treepr.c	Wed Sep 16 17:18:42 1992
***************
*** 6,11 ****
--- 6,15 ----
  
  SCCSID(@(#)treepr.c	8.2	5/1/86)
  
+ int        treepr();
+ static int rcsvtrpr();
+ int        nodepr();
+ 
  /*
  **  TREEPR -- print tree for debugging
  **
***************
*** 21,26 ****
--- 25,31 ----
  **		output to terminal
  */
  
+ int
  treepr(tree)
  QTREE	*tree;
  {
***************
*** 102,107 ****
--- 107,113 ----
  **		output to terminal
  */
  
+ int
  nodepr(tree)
  QTREE	*tree;
  {
diff -r -c ../ingres.ptf/source/dbu/Makefile source/dbu/Makefile
*** ../ingres.ptf/source/dbu/Makefile	Mon Nov 16 14:38:18 1992
--- source/dbu/Makefile	Tue Sep 22 20:28:06 1992
***************
*** 4,10 ****
  #	@(#)Makefile	8.4 	12/18/85
  #
  
! INGRES=	../..
  H=	../h
  LIB=	$(INGRES)/lib
  BIN=	$(INGRES)/bin
--- 4,10 ----
  #	@(#)Makefile	8.4 	12/18/85
  #
  
! INGRES=	/usr/ingres
  H=	../h
  LIB=	$(INGRES)/lib
  BIN=	$(INGRES)/bin
***************
*** 35,42 ****
  
  AR=	-ar
  ARFLAGS=rvu
! RANLIB=	ranlib
! CFLAGS=	-I$H -O -I../ctlmod
  LDFLAGS=
  CP=	cp
  CHMOD=	chmod
--- 35,41 ----
  
  AR=	-ar
  ARFLAGS=rvu
! CFLAGS=	-O -I$H -I../ctlmod -Dbsd386
  LDFLAGS=
  CP=	cp
  CHMOD=	chmod
***************
*** 52,62 ****
  dbulib: $(OBJS)
  	$(AR) $(ARFLAGS) dbulib $?
  	$(CHMOD) $(LIBMODE) dbulib
- 	$(RANLIB) dbulib
  
  $(LIB)/dbulib: dbulib
  	$(CP) dbulib $(LIB)/dbulib
- 	$(RANLIB) $(LIB)/dbulib
  
  install: $(LIB)/dbulib $(LIB)/sysmonlib
  
--- 51,59 ----
***************
*** 63,73 ****
  sysmonlib: $(SOBJS)
  	$(AR) $(ARFLAGS) sysmonlib $?
  	$(CHMOD) $(LIBMODE) sysmonlib
- 	$(RANLIB) sysmonlib
  
  $(LIB)/sysmonlib: sysmonlib
  	$(CP) sysmonlib $(LIB)/sysmonlib
- 	$(RANLIB) $(LIB)/sysmonlib
  
  sysmonitor: $(LIB)/sysmonlib
  	
--- 60,68 ----
diff -r -c ../ingres.ptf/source/dbu/copy.c source/dbu/copy.c
*** ../ingres.ptf/source/dbu/copy.c	Mon Nov 16 14:38:17 1992
--- source/dbu/copy.c	Tue Sep 15 15:35:53 1992
***************
*** 26,32 ****
  
  extern short	tTdbu[100];
  extern int	copy();
! extern int	null_fn();
  
  struct fn_def CopyFn =
  {
--- 26,32 ----
  
  extern short	tTdbu[100];
  extern int	copy();
! extern void	null_fn();
  
  struct fn_def CopyFn =
  {
***************
*** 110,116 ****
  	register int	i, pid;
  	register char	*cp;
  	int		stat;
! 	int		copydone();
  	int		op;
  
  #	ifdef xZTR1
--- 110,116 ----
  	register int	i, pid;
  	register char	*cp;
  	int		stat;
! 	void		copydone();
  	int		op;
  
  #	ifdef xZTR1
***************
*** 261,266 ****
--- 261,267 ----
  **	digits are returned. i is either 0 or a number like 58??
  */
  
+ void
  copydone(i)
  int	i;
  {
***************
*** 911,916 ****
--- 912,918 ----
  char	*param;
  {
  	register char	*np, *ret;
+ 	char			*dumvalue();
  
  	np = param;
  	ret = Delimitor;	/* assume default delimitors */
diff -r -c ../ingres.ptf/source/dbu/create.c source/dbu/create.c
*** ../ingres.ptf/source/dbu/create.c	Mon Nov 16 14:38:19 1992
--- source/dbu/create.c	Tue Sep 22 20:39:27 1992
***************
*** 13,19 ****
  
  extern	short	tTdbu[];
  extern	int	create();
! extern	int	null_fn();
  
  struct fn_def CreateFn =
  {
--- 13,19 ----
  
  extern	short	tTdbu[];
  extern	int	create();
! extern	void	null_fn();
  
  struct fn_def CreateFn =
  {
***************
*** 49,54 ****
--- 49,57 ----
  	char	frml;
  };
  
+ extern int   errno;
+ extern DESC   Reldes, Attdes;
+ 
  /*
  **  CREATE -- create new relation
  **
***************
*** 111,119 ****
  	struct relation		rel, key;
  	struct attribute	att;
  	DESC			desr;
- 	extern char		*Usercode;
- 	extern DESC		Reldes, Attdes;
- 	extern int		errno;
  	register int		relstat;
  	long			temptid;
  	long			npages;
--- 114,119 ----
diff -r -c ../ingres.ptf/source/dbu/destroy.c source/dbu/destroy.c
*** ../ingres.ptf/source/dbu/destroy.c	Mon Nov 16 14:38:18 1992
--- source/dbu/destroy.c	Tue Jun  9 14:14:17 1992
***************
*** 10,16 ****
  
  extern	short	tTdbu[];
  extern	int	destroy();
! extern 	int	null_fn();
  
  struct fn_def DstroyFn =
  {
--- 10,16 ----
  
  extern	short	tTdbu[];
  extern	int	destroy();
! extern 	void	null_fn();
  
  struct fn_def DstroyFn =
  {
diff -r -c ../ingres.ptf/source/dbu/display.c source/dbu/display.c
*** ../ingres.ptf/source/dbu/display.c	Mon Nov 16 14:38:19 1992
--- source/dbu/display.c	Tue Jun  9 14:14:16 1992
***************
*** 21,27 ****
  
  extern short	tTdbu[];
  extern int	display();
! extern int	null_fn();
  
  struct fn_def DsplayFn =
  {
--- 21,27 ----
  
  extern short	tTdbu[];
  extern int	display();
! extern void	null_fn();
  
  struct fn_def DsplayFn =
  {
diff -r -c ../ingres.ptf/source/dbu/help.c source/dbu/help.c
*** ../ingres.ptf/source/dbu/help.c	Mon Nov 16 14:38:20 1992
--- source/dbu/help.c	Mon Oct 19 18:51:07 1992
***************
*** 12,18 ****
  
  extern short 	tTdbu[100];
  extern int	help();
! extern int	null_fn();
  
  struct fn_def HelpFn =
  {
--- 12,18 ----
  
  extern short 	tTdbu[100];
  extern int	help();
! extern void	null_fn();
  
  struct fn_def HelpFn =
  {
***************
*** 200,206 ****
  #		ifndef xB_UNIX
  		setgid(getgid());
  #		endif
! 		naa = ztack(Pathname, "/doc/iaa");
  		execl("/bin/nroff", "nroff", naa, manual, 0);
  		execl("/usr/bin/nroff", "nroff", naa, manual, 0);
  		syserr("help: exec: nroff");
--- 200,206 ----
  #		ifndef xB_UNIX
  		setgid(getgid());
  #		endif
! 		naa = ztack(Pathname, "/doc/naa");
  		execl("/bin/nroff", "nroff", naa, manual, 0);
  		execl("/usr/bin/nroff", "nroff", naa, manual, 0);
  		syserr("help: exec: nroff");
diff -r -c ../ingres.ptf/source/dbu/index.c source/dbu/index.c
*** ../ingres.ptf/source/dbu/index.c	Mon Nov 16 14:38:18 1992
--- source/dbu/index.c	Wed Sep 16 16:01:07 1992
***************
*** 13,19 ****
  
  extern short	tTdbu[];
  extern int	indexx();
! extern int	null_fn();
  
  struct fn_def	IndexFn =
  {
--- 13,19 ----
  
  extern short	tTdbu[];
  extern int	indexx();
! extern void	null_fn();
  
  struct fn_def	IndexFn =
  {
***************
*** 53,58 ****
--- 53,59 ----
  	char	frm[5];
  };
  
+ int
  indexx(pc, pv)
  int	pc;
  PARM	pv[];
diff -r -c ../ingres.ptf/source/dbu/ksort.c source/dbu/ksort.c
*** ../ingres.ptf/source/dbu/ksort.c	Mon Nov 16 14:38:17 1992
--- source/dbu/ksort.c	Wed Sep 16 16:44:08 1992
***************
*** 29,37 ****
  **	Trace Flag:	Z37
  */
  
  extern short	tTdbu[100];
- extern int	ksort();
- extern int	null_fn();
  
  struct fn_def KsortFn =
  {
--- 29,39 ----
  **	Trace Flag:	Z37
  */
  
+ int	ksort();
+ extern void	null_fn();
+ extern int	cmpa();
+ 
  extern short	tTdbu[100];
  
  struct fn_def KsortFn =
  {
***************
*** 61,67 ****
  static long		Ccount;
  static char		**Lspace;
  static char		*Tspace;
- extern int		cmpa();
  static long		Tupsout;
  static int		firstime	= 1;
  static FILE		*Btree_fp;
--- 63,68 ----
***************
*** 69,74 ****
--- 70,76 ----
  int			Btree_fd;
  int			Nfiles;
  
+ int
  ksort(pc, pv)
  int	pc;
  PARM	*pv;
***************
*** 536,541 ****
--- 538,544 ----
  {
  	register struct merg	*merg;
  	register int		i;
+         char                    *setfil();
  
  	merg = mp;
  	if ((i = fread(merg->tup, 1, Tupsize, merg->fiop)) != Tupsize)
***************
*** 602,607 ****
--- 605,611 ----
  int	error;
  {
  	register int	i;
+         char     *setfil();
  
  	if (Nfiles == 1)
  		Nfiles++;
diff -r -c ../ingres.ptf/source/dbu/modify.c source/dbu/modify.c
*** ../ingres.ptf/source/dbu/modify.c	Mon Nov 16 14:38:19 1992
--- source/dbu/modify.c	Thu Sep 17 15:55:07 1992
***************
*** 17,24 ****
  SCCSID(@(#)modify.c	8.8	5/7/85)
  
  extern	short	tTdbu[];
! extern	int	modify();
! extern 	int	null_fn();
  
  struct fn_def ModifyFn =
  {
--- 17,24 ----
  SCCSID(@(#)modify.c	8.8	5/7/85)
  
  extern	short	tTdbu[];
! int	modify();
! extern 	void	null_fn();
  
  struct fn_def ModifyFn =
  {
***************
*** 1619,1624 ****
--- 1619,1625 ----
  	struct locator	tidpos;
  	extern char	*iocv();
  	extern DESC	Reldes;
+         extern int    create();
  
  	pv[0].pv_val.pv_str = "0000002";
  	capital(trim_relname(relname), btree);
diff -r -c ../ingres.ptf/source/dbu/print.c source/dbu/print.c
*** ../ingres.ptf/source/dbu/print.c	Mon Nov 16 14:38:18 1992
--- source/dbu/print.c	Tue Jun  9 14:14:13 1992
***************
*** 13,19 ****
  
  extern	short	tTdbu[];
  extern	int	print();
! extern	int	null_fn();
  
  struct fn_def PrintFn =
  {
--- 13,19 ----
  
  extern	short	tTdbu[];
  extern	int	print();
! extern	void	null_fn();
  
  struct fn_def PrintFn =
  {
diff -r -c ../ingres.ptf/source/dbu/resetrel.c source/dbu/resetrel.c
*** ../ingres.ptf/source/dbu/resetrel.c	Mon Nov 16 14:38:19 1992
--- source/dbu/resetrel.c	Tue Jun  9 14:14:13 1992
***************
*** 10,16 ****
  
  extern	short	tTdbu[];
  extern	int	resetrel();
! extern	int	null_fn();
  
  struct fn_def ResetrFn =
  {
--- 10,16 ----
  
  extern	short	tTdbu[];
  extern	int	resetrel();
! extern	void	null_fn();
  
  struct fn_def ResetrFn =
  {
diff -r -c ../ingres.ptf/source/dbu/rmqm.c source/dbu/rmqm.c
*** ../ingres.ptf/source/dbu/rmqm.c	Mon Nov 16 14:38:19 1992
--- source/dbu/rmqm.c	Tue Jun  9 14:14:12 1992
***************
*** 20,26 ****
  
  extern	short	tTdbu[];
  extern	int	dest_const();
! extern	int	null_fn();
  
  struct fn_def RmqmFn =
  {
--- 20,26 ----
  
  extern	short	tTdbu[];
  extern	int	dest_const();
! extern	void	null_fn();
  
  struct fn_def RmqmFn =
  {
diff -r -c ../ingres.ptf/source/dbu/rupdate.c source/dbu/rupdate.c
*** ../ingres.ptf/source/dbu/rupdate.c	Mon Nov 16 14:38:20 1992
--- source/dbu/rupdate.c	Tue Jun  9 14:14:12 1992
***************
*** 7,13 ****
  
  extern	short	tTdbu[];
  extern	int	rupdate();
! extern	int	null_fn();
  
  struct fn_def RupdatFn =
  {
--- 7,13 ----
  
  extern	short	tTdbu[];
  extern	int	rupdate();
! extern	void	null_fn();
  
  struct fn_def RupdatFn =
  {
diff -r -c ../ingres.ptf/source/dbu/save.c source/dbu/save.c
*** ../ingres.ptf/source/dbu/save.c	Mon Nov 16 14:38:20 1992
--- source/dbu/save.c	Fri Sep 25 13:47:31 1992
***************
*** 3,11 ****
--- 3,13 ----
  # include	<aux.h>
  # include 	<func.h>
  # include	<opsys.h>
+ # ifndef bsd386          /*  by  K.Okamoto   */
  # ifdef xV7_UNIX
  # include	<sys/timeb.h>
  # endif xV7_UNIX
+ # endif bsd386
  # include	<sccs.h>
  # include	<errors.h>
  
***************
*** 13,19 ****
  
  extern	short	tTdbu[];
  extern	int	save();
! extern	int	null_fn();
  
  struct fn_def SaveFn =
  {
--- 15,21 ----
  
  extern	short	tTdbu[];
  extern	int	save();
! extern	void	null_fn();
  
  struct fn_def SaveFn =
  {
***************
*** 57,68 ****
  	extern char	*Usercode;
  	struct relation	relk, relt;
  	int		day, month, year;
  # ifdef xV7_UNIX
  	struct timeb	timeb;
  # else xV7_UNIX
  	extern int	timezone;	/* defined by ctime(3) */
  # endif xV7_UNIX
! 	extern int	dysize();	/* ditto */
  
  	/* convert date */
  	/* "date" will be # of days from 1970 for a while */
--- 59,74 ----
  	extern char	*Usercode;
  	struct relation	relk, relt;
  	int		day, month, year;
+ # ifndef bsd386                          /*  by   K.Okamoto   */
  # ifdef xV7_UNIX
  	struct timeb	timeb;
  # else xV7_UNIX
  	extern int	timezone;	/* defined by ctime(3) */
  # endif xV7_UNIX
! # else bsd386                           /*  by   K.Okamoto     */
! 	extern int	timezone;	/* defined by ctime(3) */
! # endif
! /*	extern int	dysize();	 ditto */ 
  
  	/* convert date */
  	/* "date" will be # of days from 1970 for a while */
***************
*** 115,126 ****
  	date *= 60 * 60;
  
  	/* adjust to local time */
! # ifdef xV7_UNIX
  	ftime(&timeb);
  	date += ((long) timeb.timezone) * 60;
  # else xV7_UNIX
  	date += timezone;
  # endif xV7_UNIX
  
  #	ifdef xZTR1
  	if (tTf(45, 1))
--- 121,136 ----
  	date *= 60 * 60;
  
  	/* adjust to local time */
! # ifndef bsd386                        /*  by   K.Okamoto   */
! # if defined(xV7_UNIX)
  	ftime(&timeb);
  	date += ((long) timeb.timezone) * 60;
  # else xV7_UNIX
  	date += timezone;
  # endif xV7_UNIX
+ # else bsd386                         /*   by  K.Okamoto   */
+ 	date += timezone;
+ # endif
  
  #	ifdef xZTR1
  	if (tTf(45, 1))
***************
*** 237,240 ****
--- 247,259 ----
  
  	return (size);
  
+ }
+ 
+ dysize(year)
+ int year;
+ {
+   int days=365;
+   if (year % 4 == 0 && year % 100 != 0)
+     days=366;
+   return(days);
  }
diff -r -c ../ingres.ptf/source/dbu/sysfunc.c source/dbu/sysfunc.c
*** ../ingres.ptf/source/dbu/sysfunc.c	Mon Nov 16 14:38:20 1992
--- source/dbu/sysfunc.c	Wed Sep 16 16:40:50 1992
***************
*** 8,16 ****
  
  SCCSID (@(#)sysfunc.c	8.2 	1/15/85)
  
  short		tTdbu[100];
- extern int	sysfunc();
- extern int 	null_fn();
  
  int		Noupdt = FALSE;
  
--- 8,25 ----
  
  SCCSID (@(#)sysfunc.c	8.2 	1/15/85)
  
+ int	sysfunc();
+ int     optn_rel();
+ extern void 	null_fn();
+ # ifdef xSTR1
+ extern int      prvect();
+ # endif
+ extern int      sequal();
+ extern int      initp();
+ extern int      setp();
+ extern int      openr();
+ 
  short		tTdbu[100];
  
  int		Noupdt = FALSE;
  
***************
*** 112,117 ****
--- 121,127 ----
  **
  */
  
+ int
  sysfunc (pc, pv)
  int 	pc;
  PARM 	*pv;
***************
*** 194,200 ****
  	return(0);
  }
  
! 
  optn_rel(mx)
  struct modtabl	*mx;
  {
--- 204,210 ----
  	return(0);
  }
  
! int
  optn_rel(mx)
  struct modtabl	*mx;
  {
***************
*** 217,224 ****
  	return (ret);
  }
  
! /* rubproc()
  {
  	printf("sysmod interrupted\n");
  	return(1);
! } */
--- 227,237 ----
  	return (ret);
  }
  
! /*
! void
! rubproc()
  {
  	printf("sysmod interrupted\n");
  	return(1);
! }
! */
diff -r -c ../ingres.ptf/source/dbu/sysmon.c source/dbu/sysmon.c
*** ../ingres.ptf/source/dbu/sysmon.c	Mon Nov 16 14:38:20 1992
--- source/dbu/sysmon.c	Wed Sep 23 16:26:52 1992
***************
*** 24,31 ****
  
  
  
! extern		systm_mon();
! extern		systm_init();
  short		tTsysttymon[100];
  PARM		pv[PV_MAXPC+ 1];
  int		pc;
--- 24,31 ----
  
  
  
! extern	int	systm_mon();
! extern	void	systm_init();
  short		tTsysttymon[100];
  PARM		pv[PV_MAXPC+ 1];
  int		pc;
***************
*** 45,50 ****
--- 45,51 ----
  	0
  };
  
+ void
  systm_init(argc, argv)
  int	argc;
  char	*argv[];
***************
*** 194,206 ****
  **
  **	To keep from loading access methods.
  */
- 
  closecatalog()
  {
  }
! 
! 
! /*
  **  GET FLAG
  **
  */
--- 195,204 ----
  **
  **	To keep from loading access methods.
  */
  closecatalog()
  {
  }
! /*
  **  GET FLAG
  **
  */
